import * as vue_i18n from 'vue-i18n';
import * as _vue_composition_api from '@vue/composition-api';

/**
 * @see [vue-18n-composable](https://github.com/intlify/vue-i18n-composable/blob/master/src/index.ts)
 */
declare function useI18n(): {
    locale: _vue_composition_api.WritableComputedRef<string>;
    t: {
        (key: string, values?: vue_i18n.default.Values | undefined): vue_i18n.default.TranslateResult;
        (key: string, locale: string, values?: vue_i18n.default.Values | undefined): vue_i18n.default.TranslateResult;
    };
    tc: {
        (key: string, choice?: number | undefined, values?: vue_i18n.default.Values | undefined): string;
        (key: string, choice: number, locale: string, values?: vue_i18n.default.Values | undefined): string;
    };
    d: {
        (value: number | Date, key?: string | undefined, locale?: string | undefined): string;
        (value: number | Date, args?: {
            [key: string]: string;
        } | undefined): string;
        (value: number | Date, options?: vue_i18n.default.DateTimeFormatOptions | undefined): string;
    };
    te: (key: string, locale?: string | undefined) => boolean;
    n: {
        (value: number, key?: string | undefined, locale?: string | undefined): string;
        (value: number, args?: {
            [key: string]: string;
        } | undefined): string;
        (value: number, options?: vue_i18n.default.NumberFormatOptions | undefined, locale?: string | undefined): string;
    };
};

export { useI18n };
