// src/index.ts
import {
  useContext,
  getCurrentInstance,
  computed
} from "@nuxtjs/composition-api";
import Vue from "vue";
function useI18n() {
  const {app} = useContext();
  const i18nInstance = app.i18n;
  if (!i18nInstance) {
    throw new Error("nuxt-i18n not initialized");
  }
  const i18n = i18nInstance;
  const instance = getCurrentInstance();
  const vm = (instance == null ? void 0 : instance.proxy) || instance || new Vue({});
  const locale = computed({
    get() {
      return i18n.locale;
    },
    set(v) {
      i18n.locale = v;
    }
  });
  return {
    locale,
    t: vm.$t.bind(vm),
    tc: vm.$tc.bind(vm),
    d: vm.$d.bind(vm),
    te: vm.$te.bind(vm),
    n: vm.$n.bind(vm)
  };
}
export {
  useI18n
};
